#!/bin/bash

DOC2OAS_DOCKER_IMAGE=doc2oas-ie-sample:master

echo "\n------ Checking for docker image --------"
#docker pull "$DOCKER_IMAGE"

echo "------ Parsing repo URL --------"

#HOST_URL=$(echo $1 | cut -d'/' -f 1-3)
#PROJECT_NAME=$(echo $1 | cut -d'/' -f 5- | cut -d'.' -f 1)
#echo "HOST URL:" $HOST_URL
#echo "PROJECT NAME:" $PROJECT_NAME
#echo "TAG NAME:" $2

echo "------ Getting spec and config files--------"
# If there is no .docx file or more than one, then simply exit
cd doc

spec=$(ls | grep 'docx')
if [ -z $spec ] ; then 
    echo "-- No spec file"
    exit 0
#Check if there are more than one
fi

config="config.yaml"

echo "\n------ Preparaing spec --------"
echo -e "import sys" | tee -a "command.py"
echo -e "\nsys.path.append(\"/app\")" | tee -a "command.py"
echo -e "\nimport main" | tee -a "command.py"
echo -e "\nif __name__ == '__main__':" | tee -a "command.py"
echo -e "\n    sys.exit(main.maindoc2oas(\"/app/tmp/$spec\", \"/app/tmp/$config\"))" | tee -a "command.py"
#docker run --rm -v $(pwd):/app/tmp $DOC2OAS_DOCKER_IMAGE "-c 'import main; main.maindoc2oas("/app/doc/$spec", "/app/doc/$config")'"
docker run --rm -v $(pwd):/app/tmp $DOC2OAS_DOCKER_IMAGE tmp/command.py

echo "------ Move generated openapi to the correct folder --------"

openapi=$(ls | grep gs_*.yaml)
if [ -z $openapi ] ; then 
    echo "-- No openapi file"
    exit 0
else 
    #mv $openapi ../autogenerated/$openapi
	mv $openapi ../$1/autogenerated/$openapi
fi

cd .. 
cd $1

echo "\n------ Prepare to push -------"
git add autogenerated/$openapi
version=$(ls doc | grep -e v[0-9]* -o)
git rm doc/$spec
git commit -m "Autogenerated openapi version $version"

echo "\n------ Tag version -----"
echo $version
git tag $version

exit 0